groups:
  - name: aggregate_container_resources
    rules:
      - record: app_name:fis_service_requests:sum
        expr: sum by(app_name) (fis_service_requests_total)
      - record: container_cpu_usage_rate
        expr: sum without (cpu) (rate(container_cpu_usage_seconds_total[5m]))
      - record: container_memory_rss_by_type
        expr: container_memory_rss{id=~"/|/system.slice|/kubepods.slice"} > 0
      - record: container_cpu_usage_percent_by_host
        expr: sum by (kubernetes_io_hostname,type)(rate(container_cpu_usage_seconds_total{id="/"}[5m])) / on (kubernetes_io_hostname,type) machine_cpu_cores
      - record: apiserver_request_count_rate_by_resources
        expr: sum without (client,instance,contentType) (rate(apiserver_request_count[5m]))